Skip to main content
GET
/
tests
List tests
curl --request GET \
  --url https://api.vanta.com/v1/tests \
  --header 'Authorization: Bearer <token>'
{
  "results": {
    "pageInfo": {
      "hasNextPage": false,
      "hasPreviousPage": false,
      "endCursor": "YXJyYXljb25uZWN0aW9uOjA=",
      "startCursor": "YXJyYXljb25uZWN0aW9uOjA="
    },
    "data": [
      {
        "id": "aws-account-access-removed-on-termination",
        "name": "AWS accounts deprovisioned when personnel leave",
        "lastTestRunDate": "2024-06-18T20:17:38.463Z",
        "latestFlipDate": null,
        "description": "Verifies that AWS accounts linked to removed users are removed.\n",
        "failureDescription": "Some AWS accounts associated with terminated personnel have not been deactivated.",
        "remediationDescription": "Remove all accounts listed from AWS.\n",
        "version": {
          "major": 0,
          "minor": 0
        },
        "category": "Account security",
        "integrations": [
          "aws"
        ],
        "status": "OK",
        "deactivatedStatusInfo": {
          "isDeactivated": false,
          "deactivatedReason": null,
          "lastUpdatedDate": null
        },
        "remediationStatusInfo": {
          "status": "PASS",
          "soonestRemediateByDate": null,
          "itemCount": 0
        },
        "owner": null
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

pageSize
integer<int32>
default:10

Controls the maximum number of items returned in one response from the API.

Required range: 1 <= x <= 100
pageCursor
string

A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.

statusFilter
enum<string>

Filter tests by test status. Possible values: OK (Test passed), DEACTIVATED (Test is deactivated), NEEDS_ATTENTION (Test failed), IN_PROGRESS (Test is in progress), INVALID (Test is invalid), NOT_APPLICABLE (Test is not applicable)

Available options:
OK,
DEACTIVATED,
NEEDS_ATTENTION,
IN_PROGRESS,
INVALID,
NOT_APPLICABLE
frameworkFilter
string

Filter tests by framework.

integrationFilter
string

Filter tests by integration.

controlFilter
string

Filter tests by control ID.

ownerFilter
string

Filter tests by owner ID.

categoryFilter
enum<string>

Filter tests by category. Categories for tests.

Available options:
ACCOUNTS_ACCESS,
ACCOUNT_SECURITY,
ACCOUNT_SETUP,
COMPUTERS,
CUSTOM,
DATA_STORAGE,
EMPLOYEES,
INFRASTRUCTURE,
IT,
LOGGING,
MONITORING_ALERTS,
PEOPLE,
POLICIES,
RISK_ANALYSIS,
SECURITY_ALERT_MANAGEMENT,
SOFTWARE_DEVELOPMENT,
VENDORS,
VULNERABILITY_MANAGEMENT
isInRollout
boolean

Filter tests by rollout status. A test in rollout is an upcoming test that does not have its history tracked yet.

Response

200 - application/json

Ok

results
object
required